---
name: Bug Report 🐛
about: Let us know what needs fixing
title: ''
labels: 'bug :bug:'
assignees: ''
---

Pre-Report Checklist
--------------------

- [ ] I am running the latest versions of pyQuil and the Forest SDK
- [ ] I checked to make sure that this bug has not already been reported

Issue Description
-----------------

Insert a short description of the bug here, along with what you expected the behavior to be.

Thanks for helping us improve pyQuil! 🙂

How to Reproduce
----------------

If useful, provide a numbered list of the steps that result in the error.

Otherwise, just fill out the "Code Snippet" and "Error Output" sections below.

### Code Snippet

```python
Include a snippet of the pyQuil code that produces the error here.
```

### Error Output

```
Additionally, please copy and paste the output of the above code here.
```

Environment Context
-------------------

Operating System: 

Python Version (`python -V`): 

Quilc Version (`quilc --version`): 

QVM Version (`qvm --version`): 

Python Environment Details (`pip freeze` or `conda list`):

```
Copy and paste the output of `pip freeze` or `conda list` here.
```
